Subject: Re: [manet] (no subject)

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Thu, 1 Nov 2012 09:41:57 +0000

Hi Jon,

On Nov 1, 2012, at 12:39 AM, Jon Black wrote:

Yes it shows that it does work in a rather large deployment.

JP> This is not just a question of "how large" it is … but also how dynamic. I could show you few hundreds (if not less number of nodes)
not working if the traffic pattern is too dynamic. This is a fundamental problem.

I have heard others say that it works in other deployments as well - just the same as you say RPL works in some deployments.

JP> I do not not think that we should go in a RPL versus Load-NG debate but rather try to find a good solution for MANET. That being
said, RPL *for* LLNs the the result of a 4-year work with a DT, weekly calls, interim WG meetings to make it work in LLNs.

Please share your results.  You keeps saying you will and you we keep asking you to - where's the results so they can be reviewed.

JP> Once again, I would first like to hear chair's decision. PLEASE note that I would be happy to see Load's results too. And just be
patient, I just need to find a bit of time to compile results and you will get many results backing up my claims. Please also refer to the
number of discussions prior to designing RPL that took place on the ROLL mailing list. Believe me there was a reason not NOT choosing
a reactive protocol for LLN (again I am NOT against reactive routing for other use cases at all). Would you ignore the findings of a WG
that worked for 4 years on the subject matter ? I guess not … Just trying to raise my voice (as many others on this list) to protect the
Internet.

Thanks.

JP.

Jon

________________________________
From: JP Vasseur (jvasseur) <[email-masked]<mailto:[email-masked]>>
To: Jon Black <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>; "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Sent: Wednesday, October 31, 2012 4:09 PM
Subject: Re: [manet] (no subject)

On Oct 31, 2012, at 6:57 PM, Jon Black wrote:

On October 31, 2012 Thierry.Lys wrote:

I speak in the name of EDF group.

We started first to use LOAD as a routing algorithm and deployed 2000 PLC-meters for smart grid purposes in 2011. Taking advantage of this field test, we have been actively participating to the working group to adopt enhancements in the LOADng specification.
We are now extremely pleased with what LOADng is capable of and are confident that future deployements will be equipped with it.

This would seem to indicate that LOADng does work and in a rather large deployment.

JP> No this means that LoadNG works in *a* network. But the major technical difference here is that reactive routing is highly impacted
by the user traffic … If you poll a meter every 24 hours, it may work perfectly well. Now if you start having more frequent traffic flows
you can either cache paths (ending up with more frequent broken paths considering how flappy these networks are, thus leading to more
floods … very undesirable … especially when you have hundreds of meters sharing a few Kbits/s) or you use short cache timers and you
keep flooding :-( If you take actual traces of these networks (both using 15.4g and P1901.2) and you start adjusting the user traffic rate you
immediately see the issues in terms of scalability. Yes you can try to mitigate the undesirable flooding effect to some extends but showing
the limits in terms of scalability is easy to show. Note that I MOT against reactive routing by any means, this is IMO just not applicable to
LLNs unless the traffic flows are deterministic and very well knows … Lessons from the past show us how difficult it is to predict user
applications. We all started with meter reading to continue with that example and now many utilities wants to use these smart metering
networks for a number of applications which different SLA, …

Hope this helps. Once again, when/if required I would be happy to share many results.

"We believe in rough consensus and running code"

rough consensus : Don't you think we have a rough consensus on LOADng compared to DYMO ? 10 authors and major companies are supporters of LOADng.

running code : interoperability has been checked with 4 sources and other implementations are in progress.

Obviously from the list we don't have rough consensus.  We have two alternatives each with proponents.  The WG should weigh the technical benefits (design, implementation/running code, maturity)  of each and the group should choose a path forward.

In my opinion option 3 is not an option - this is the working group shirking its responsibility.

This is an option … since listed by the chairs. I agree that we should avoid it, especially when I think we have a very reasonable solution
(option1).

JP.

Jon

_______________________________________________
manet mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/manet

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Thu, 1 Nov 2012 10:10:47 +0000

If I were in charge of requirements, that requirement would be now. Attempting to sway a decision on the basis of "I have results" but not offering those results until the decision is made is not helpful. And the most important thing is are there any comparisons between the two (or with base AODV)? Without those, the issue is how do the two differ technically in a manner that matters?

--
Christopher Dearlove
Senior Principal Engineer, Communications Group
Communications, Networks and Image Analysis Capability
BAE Systems Advanced Technology Centre
West Hanningfield Road, Great Baddow, Chelmsford, CM2 8HN, UK
Tel: +44 1245 242194 |  Fax: +44 1245 242124
[email-masked]<mailto:[email-masked]> | http://www.baesystems.com

BAE Systems (Operations) Limited
Registered Office: Warwick House, PO Box 87, Farnborough Aerospace Centre, Farnborough, Hants, GU14 6YU, UK
Registered in England & Wales No: 1996687

From: [email-masked] [mailto:[email-masked]] On Behalf Of JP Vasseur (jvasseur)
Sent: 31 October 2012 22:09
To: Jon Black
Cc: [email-masked]; [email-masked]
Subject: Re: [manet] (no subject)

*** WARNING ***
This message originates from outside our organisation, either from an external partner or the internet.
Keep this in mind if you answer this message.
Please see this process<http://intranet.ent.baesystems.com/howwework/security/spotlights/Documents/Dealing%20With%20Suspicious%20Emails.pdf> on how to deal with suspicious emails.

JP> No this means that LoadNG works in *a* network. But the major technical difference here is that reactive routing is highly impacted
by the user traffic ... If you poll a meter every 24 hours, it may work perfectly well. Now if you start having more frequent traffic flows
you can either cache paths (ending up with more frequent broken paths considering how flappy these networks are, thus leading to more
floods ... very undesirable ... especially when you have hundreds of meters sharing a few Kbits/s) or you use short cache timers and you
keep flooding :-( If you take actual traces of these networks (both using 15.4g and P1901.2) and you start adjusting the user traffic rate you
immediately see the issues in terms of scalability. Yes you can try to mitigate the undesirable flooding effect to some extends but showing
the limits in terms of scalability is easy to show. Note that I MOT against reactive routing by any means, this is IMO just not applicable to
LLNs unless the traffic flows are deterministic and very well knows ... Lessons from the past show us how difficult it is to predict user
applications. We all started with meter reading to continue with that example and now many utilities wants to use these smart metering
networks for a number of applications which different SLA, ...

This is an option ... since listed by the chairs. I agree that we should avoid it, especially when I think we have a very reasonable solution
(option1).

JP.

Jon

********************************************************************
This email and any attachments are confidential to the intended
recipient and may also be privileged. If you are not the intended
recipient please delete it from your system and notify the sender.
You should not copy it or use it for any purpose nor disclose or
distribute its contents to any other person.
********************************************************************

---

From: Bo Berry <[email-masked]>
Date: Thu, 1 Nov 2012 06:22:02 -0400

And to be fair, I've not seen results on Loadng wrt to mobility.  The smart meter attached to my house has not moved sense it was installed.  

On Nov 1, 2012, at 6:10 AM, Dearlove, Christopher (UK) wrote:

> [email-masked] | http://www.baesystems.com
> 
> Please see this process on how to deal with suspicious emails.
> 
>  
> [email-masked]
> [email-masked]

---

From: Jon Black <[email-masked]>
Date: Thu, 1 Nov 2012 08:32:16 -0700 (PDT)

________________________________
 From: JP Vasseur (jvasseur) <[email-masked]>
To: Jon Black <[email-masked]> 
Cc: "[email-masked]" <[email-masked]>; "[email-masked]" <[email-masked]> 
Sent: Thursday, November 1, 2012 3:41 AM
Subject: Re: [manet] (no subject)

Hi Jon, 

[Jon] Are you saying that their AMI PLC deployment was not dynamic?

[Jon] I did not cast this as a RPL vs LOADng debate - you just did.  I am saying that LOADng works in some scenarios and proof is the EDF deployment in their AMI network.

[Jon] As others have said - you have it backwards.  If you have data that would show that LOADng or a reactive protocol will not work in MANETs please share it.  That would be
very insightful and would help guide this discussion and decision.  It would not be prudent to make a decision and then bring out data that would try to suggest that the decision was incorrect.

What findings are you referring to?  Where is there a WG document that documents these findings? 

Thanks.

JP.

Jon
> From: JP Vasseur (jvasseur) <[email-masked]>
>To: Jon Black <[email-masked]> 
>Cc: "[email-masked]" <[email-masked]>; "[email-masked]" <[email-masked]>

---

From: Jon Black <[email-masked]>
Date: Thu, 1 Nov 2012 08:40:20 -0700 (PDT)

Mobility in a wireless sense means a changing connectivity.  A wireless device does not need to physically move to appear mobile - the connectivity path changes.

Now if you live in a mobile home maybe your meter may also physically move.  Maybe your mobile home doesn't have wheels.

Jon

________________________________
 From: Bo Berry <[email-masked]>
To: "Dearlove, Christopher (UK)" <[email-masked]> 
Cc: JP Vasseur (jvasseur) <[email-masked]>; Jon Black <[email-masked]>; "[email-masked]" <[email-masked]>; "[email-masked]" <[email-masked]> 
Sent: Thursday, November 1, 2012 4:22 AM
Subject: Re: [manet] (no subject)

---

From: Alexandru Petrescu <[email-masked]>
Date: Thu, 01 Nov 2012 16:50:31 +0100

Le 01/11/2012 16:40, Jon Black a écrit :
> Mobility in a wireless sense means a changing connectivity.  A
> wireless device does not need to physically move to appear mobile -
> the connectivity path changes.

I agree that mobility in a wireless sense means changing connectivity.
And that devices do not need to physically move to appear mobile in that
sense.

> Now if you live in a mobile home maybe your meter may also
> physically move.  Maybe your mobile home doesn't have wheels.

Or does it?

A mobile home is an challenging concept with respect to connectivity of
electricity Meters.

Many mobile Homes plug on electricity lines either without any Meter, or
with a Meter that is fixed outside the mobile home and that is somebody
else's.

'Mobility' and electricity distributors is mentioned also as the
mobility of an operator walking around fixed consumer householdings and
reading the Meter data wirelessly, instead of entering the various
places where Meters are stored.

For these cases, I do not know whether a routing protocol in MANET is
adapted, or not, or so and so.

Alex

>
> Jon
>
>
> ------------------------------------------------------------------------
>
>
>
*From:* Bo Berry <[email-masked]>
> *To:* "Dearlove, Christopher (UK)" <[email-masked]>
> *Cc:* JP Vasseur (jvasseur) <[email-masked]>; Jon Black
> <[email-masked]>; "[email-masked]" <[email-masked]>;
> "[email-masked]" <[email-masked]>
> *Sent:* Thursday, November 1, 2012 4:22 AM *Subject:* Re: [manet]
> (no subject)
>
> And to be fair, I've not seen results on Loadng wrt to mobility.
> The smart meter attached to my house has not moved sense it was
> installed.
>
>
>> If I were in charge of requirements, that requirement would be
>> now.
>>
> Attempting to sway a decision on the basis of "I have results" but
> not offering those results until the decision is made is not
> helpful. And the most important thing is are there any comparisons
> between the two (or with base AODV)? Without those, the issue is how
> do the two differ technically in a manner that matters?
>>
>> -- Christopher Dearlove Senior Principal Engineer, Communications
>> Group Communications, Networks and Image Analysis Capability BAE
>> Systems Advanced Technology Centre West Hanningfield Road, Great
>> Baddow, Chelmsford, CM2 8HN, UK Tel: +44 1245 242194 |  Fax: +44
>> 1245 242124 [email-masked]
>> <mailto:[email-masked]>
> | http://www.baesystems.com
>>
>> BAE Systems (Operations) Limited Registered Office: Warwick House,
>> PO Box 87, Farnborough Aerospace
> Centre, Farnborough, Hants, GU14 6YU, UK
>> From: [email-masked] <mailto:[email-masked]>
> [mailto:[email-masked] <mailto:[email-masked]>] On
> Behalf Of JP Vasseur (jvasseur)
>> Sent: 31 October 2012 22:09 To: Jon Black Cc:
>> [email-masked]
> <mailto:[email-masked]>; [email-masked]
> <mailto:[email-masked]>
>> *** WARNING *** This message originates from outside our
>> organisation, either from an
> external partner or the internet.
>> Keep this in mind if you answer this message. Please see this
>> process on how to deal with suspicious emails.
>>
>>
>> We started first to use LOAD as a routing algorithm and deployed
>> 2000
> PLC-meters for smart grid purposes in 2011. Taking advantage of this
> field test, we have been actively participating to the working group
> to adopt enhancements in the LOADng specification.
>> We are now extremely pleased with what LOADng is capable of and
>> are
>>
> confident that future deployements will be equipped with it.
>>
>> JP> No this means that LoadNG works in *a* network. But the major
> technical difference here is that reactive routing is highly
> impacted
>> by the user traffic … If you poll a meter every 24 hours, it may
>> work
> perfectly well. Now if you start having more frequent traffic flows
>> you can either cache paths (ending up with more frequent broken
>> paths
> considering how flappy these networks are, thus leading to more
>> floods … very undesirable … especially when you have hundreds of
> meters sharing a few Kbits/s) or you use short cache timers and you
>> keep flooding :-( If you take actual traces of these networks
>> (both
>>
> using 15.4g and P1901.2) and you start adjusting the user traffic
> rate you
>> immediately see the issues in terms of scalability. Yes you can
>> try
>>
> to mitigate the undesirable flooding effect to some extends but
> showing
>> the limits in terms of scalability is easy to show. Note that I
>> MOT
>>
> against reactive routing by any means, this is IMO just not
> applicable to
>> LLNs unless the traffic flows are deterministic and very well
>> knows …
> Lessons from the past show us how difficult it is to predict user
>> applications. We all started with meter reading to continue with
>> that
> example and now many utilities wants to use these smart metering
>> rough consensus : Don't you think we have a rough consensus on
>> LOADng
> compared to DYMO ? 10 authors and major companies are supporters of
> LOADng.
>>
>> running code : interoperability has been checked with 4 sources
>> and
>>
> other implementations are in progress.
>>
>> Obviously from the list we don't have rough consensus.  We have
>> two
>>
> alternatives each with proponents.  The WG should weigh the
> technical benefits (design, implementation/running code, maturity)
> of each and the group should choose a path forward.
>>
>> In my opinion option 3 is not an option - this is the working
>> group
>>
> shirking its responsibility.
>>
>> This is an option … since listed by the chairs. I agree that we
> should avoid it, especially when I think we have a very reasonable
> solution
>> (option1).
>>
>> JP.
>>
>>
>>
>> Jon
>>
>> _______________________________________________ manet mailing list
>>  [email-masked] <mailto:[email-masked]>
>> _______________________________________________ manet mailing list
>>  [email-masked] <mailto:[email-masked]>
> _______________________________________________ manet mailing list
> [email-masked] https://www.ietf.org/mailman/listinfo/manet
>

---

From: Henning Rogge <[email-masked]>
Date: Thu, 1 Nov 2012 17:31:16 +0100

On Thu, Nov 1, 2012 at 4:40 PM, Jon Black <[email-masked]> wrote:
> Mobility in a wireless sense means a changing connectivity.  A wireless
> device does not need to physically move to appear mobile - the connectivity
> path changes.

Especially if you share the frequency band with other "out of network"
users... like the 2.4 and 5 GHz ISM bands.

These links fluctuate a lot because of change in the noise level...
without moving at all.

Henning Rogge

--
Steven Hawkings about cosmic inflation: "An increase of billions of
billions of percent in a tiny fraction of a second. Of course, that
was before the present government."

---

From: Don Sturek <[email-masked]>
Date: Thu, 01 Nov 2012 09:46:15 -0700

Hi Jon,

There is another use case where the concept of mobility (in the sense of
changing RF characteristics) comes into play with eMeters:   Multi-dwelling
units.

In many juristictions, these e-Meters are in the basement while the
residence is well out of direct range.   There are a variet of techniques to
associate then route data from a specific e-Meter to the residence but all
that I am aware of utilize protocols simlar to what we are discussing.

Don

From:  Jon Black <[email-masked]>
Reply-To:  Jon Black <[email-masked]>
Date:  Thursday, November 1, 2012 8:40 AM
To:  Bo Berry <[email-masked]>, "Dearlove, Christopher (UK)"
<[email-masked]>
Cc:  "[email-masked]" <[email-masked]>,
"[email-masked]" <[email-masked]>
Subject:  Re: [manet] (no subject)

Now if you live in a mobile home maybe your meter may also physically move.
Maybe your mobile home doesn't have wheels.

Jon

  

Cc: JP Vasseur (jvasseur) <[email-masked]>; Jon Black

And to be fair, I've not seen results on Loadng wrt to mobility.  The smart
meter attached to my house has not moved sense it was installed.

On Nov 1, 2012, at 6:10 AM, Dearlove, Christopher (UK) wrote:

> If I were in charge of requirements, that requirement would be now. Attempting
to sway a decision on the basis of "I have results" but not offering those
results until the decision is made is not helpful. And the most important thing
is are there any comparisons between the two (or with base AODV)? Without those,
the issue is how do the two differ technically in a manner that matters?
> We started first to use LOAD as a routing algorithm and deployed 2000
PLC-meters for smart grid purposes in 2011. Taking advantage of this field test,
we have been actively participating to the working group to adopt enhancements
in the LOADng specification.
> We are now extremely pleased with what LOADng is capable of and are confident
that future deployements will be equipped with it.
> JP> No this means that LoadNG works in *a* network. But the major technical
difference here is that reactive routing is highly impacted
> by the user traffic Š If you poll a meter every 24 hours, it may work
> you can either cache paths (ending up with more frequent broken paths
> floods Š very undesirable Š especially when you have hundreds of meters
sharing a few Kbits/s) or you use short cache timers and you
> keep flooding :-( If you take actual traces of these networks (both using
15.4g and P1901.2) and you start adjusting the user traffic rate you
> immediately see the issues in terms of scalability. Yes you can try to
mitigate the undesirable flooding effect to some extends but showing
> the limits in terms of scalability is easy to show. Note that I MOT against
reactive routing by any means, this is IMO just not applicable to
> LLNs unless the traffic flows are deterministic and very well knows Š Lessons
from the past show us how difficult it is to predict user
> applications. We all started with meter reading to continue with that example
and now many utilities wants to use these smart metering
> networks for a number of applications which different SLA, Š
>  
> rough consensus : Don't you think we have a rough consensus on LOADng compared
to DYMO ? 10 authors and major companies are supporters of LOADng.
> Obviously from the list we don't have rough consensus.  We have two
alternatives each with proponents.  The WG should weigh the technical benefits
(design, implementation/running code, maturity)  of each and the group should
choose a path forward.
> This is an option Š since listed by the chairs. I agree that we should avoid
it, especially when I think we have a very reasonable solution

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Thu, 1 Nov 2012 18:22:37 +0000

Hi Chris,

As I was mentioning in a previous email I will put together some results …. it would be nice to also get actual resultant from Load experiment too.

Thanks.

JP.

On Nov 1, 2012, at 11:10 AM, Dearlove, Christopher (UK) wrote:

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of JP Vasseur (jvasseur)
Sent: 31 October 2012 22:09
To: Jon Black
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: [manet] (no subject)

*** WARNING ***

JP.

Jon

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Thu, 1 Nov 2012 18:33:19 +0000

Hi Jon,

In line - JP2>

On Nov 1, 2012, at 4:32 PM, Jon Black wrote:

Hi Jon,

JP2> We do not have any details so I cannot comment on *that* deployment; my point was that you can easily show why the number
of nodes is NOT the only issues with reactive routing protocols in LLNs. Take actual traces (which I personally did with actual deployed
networks) and simulate the control plane traffic with moderate use traffic demand and you will see the issue with such routing approach.
In other words, even with a relatively small number of nodes, in contrast with other proactive routing protocols, if the user traffic is moderate
(not even very high), you clearly see why this reactive routing is ill suited to LLNs.

JP2> I would be happy to see detailed results and especially the user traffic profiles for the reason exposed above.

[Jon] As others have said - you have it backwards.  If you have data that would show that LOADng or a reactive protocol will not work in MANETs please share it.

JP2> Please reread what I wrote ten times … I said "LLNs" not "MANET" in general. On top of that, I do prefer the option 1) for the reasons exposed
before (this is the WG document, Charlie made it compatible + other technical reasons).

That would be

Thanks.

JP.

Jon

JP.

Jon

---

From: Joe Macker <[email-masked]>
Date: Thu, 1 Nov 2012 14:54:39 -0400

Sent from my iPhone

> And that devices do not need to physically move to appear mobile in that

The charter directly includes static  networks and topology dynamics due to other factors

---

From: Jon Black <[email-masked]>
Date: Thu, 1 Nov 2012 20:51:48 -0700 (PDT)

In line [Jon2]

________________________________
 From: JP Vasseur (jvasseur) <[email-masked]>
To: Jon Black <[email-masked]> 
Cc: "[email-masked]" <[email-masked]> 
Sent: Thursday, November 1, 2012 12:33 PM
Subject: Re: [manet] LOADng works

Hi Jon, 

In line - JP2>

[Jon2] There are plenty of well working LLNs that use reactive protocols such as AODV.  I've built and deployed them so perhaps you can't but I can and the protocol and network work well.  It depends on the type of traffic, nodes, radio, ...  To say that you can only build a working LLN using a proactive protocol is just plain foolish.

[Jon2] JP actually it doesn't matter!  You say that you CANNOT build a working LLN using a reactive protocol.  EDF has proved that wrong.  They built one.  You can continue to claim that you can't, but there is an existence proof.

You did say LLNs but again you are wrong.  There are plenty of LLNS that have been built using reactive (and proactive) protocols and will continue to be built using reactive (and proactive protocols).  There is no one size fits all.

I prefer to have a debate based on facts and not conjecture and based on technical arguments. 

That would be
>[Jon2] I noticed you skipped this.

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Fri, 2 Nov 2012 08:17:33 +0000

Hi Jon,

On Nov 1, 2012, at 11:51 PM, Jon Black wrote:

In line [Jon2]

Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>

Hi Jon,

In line - JP2>

Hi Jon,

JP2> Let's try to be gentle and respectful. If you have built such networks, feel free to share; But this is certainly not the conclusion the ROLL
WG shared after 4 years of work.

JP3> You keep ignoring my point. Of it matters. I would even make it work with BGP-4. Would you recommend the use of BGP in LLN ?
If you deploy a protocol in very specific conditions that do not apply to most LLNs, then you may want to know it before making it an RFC.

That would be

JP3> I do not skip anything. I am respectful of the question asked by the chair, knowing that their task is to say the least not easy.
As soon as required, I will provide lots of data, at least the ones that can be shared, if authorization is given by the owners of these
networks.

Thanks.

JP.

Jon

JP.

Jon

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Fri, 2 Nov 2012 08:47:51 +0000

Dear Jon,

will you be at the next IETF meeting in MANET WG so that we can have a technical discussion ?

Thanks.

JP.

On Nov 2, 2012, at 4:17 AM, JP Vasseur (jvasseur) wrote:

Hi Jon,

In line [Jon2]

Hi Jon,

In line - JP2>

Hi Jon,

That would be

Thanks.

JP.

Jon

JP.

Jon

---

From: "Timothy J. Salo" <[email-masked]>
Date: Fri, 02 Nov 2012 11:06:43 -0500

>>> JP> This is not just a question of "how large" it is … but also how
>>> dynamic. I could show you few hundreds (if not less number of nodes)

No, it is a fundamental and well-known characteristic of reactive
routing protocols.  It is a problem only when this behavior doesn't
match the characteristics of the network in which the reactive routing
protocol is deployed.

We've known for at least 15 years that reactive routing protocols are
more appropriate for light traffic loads and that proactive routing
protocols are more appropriate with heavier traffic loads.  Dozens,
probably hundreds of research papers have reiterated this result.
I don't know of any that have contradicted this result, although
some researchers have tried to develop hybrid routing protocols
(which don't seem to have gained much traction, either in the IETF
or elsewhere).

Claiming that reactive routing protocols don't scale to heavier traffic
loads is neither a new result nor particularly insightful -- this hasn't
changed for at least 15 years.

I haven't seen any evidence that _no_ LLN will experience the sort of
light traffic load that matches the characteristics of a reactive
routing protocol.  To the contrary, the deployment experience with
LOADng suggests that such do networks exist.

At the risk of arguing by analogy, the argument that one can "prove"
that reactive routing protocols don't work (in LLNs or elsewhere) seems
to  make about as much as sense as "proving" that OSPF doesn't work
because it doesn't behave well in dynamic environments.  The failure of
OSPF in dynamic environments didn't cause us to abandon OSPF: there are
many environments in which it works well.  Rather, we concluded that we
needed another routing protocol.  In a similar manner, the MANET
working group, and as far as I have seen pretty much all of the
research community, concluded that there is a need for both a
reactive routing protocol and a proactive routing protocol.

Of course, the ROLL working group can decide not to standardize
a reactive routing protocol.  However, that doesn't prove that
reactive routing protocols don't work (when they match the
traffic characteristics of the network), that reactive routing
protocols won't work better than proactive routing protocols
in some LLNs (based on the characteristics of the traffic load),
or that reactive routing protocols won't be successfully deployed
in LLNs.  If fact, the LOADng deployment experience strongly
suggests that reactive routing protocols _will_ be deployed in
some LLNs.  And, they will be deployed regardless of the ROLL
working group's decision to not standardize a reactive routing
protocol.

Claiming that reactive routing protocols don't work because they
don't scale to higher traffic loads seems, at best, a poor
characterization of well-known research results, and at worst
a distraction from the question at hand: namely how to proceed
towards an Internet-standard reactive routing protocol.

-tjs

---

From: Jon Black <[email-masked]>
Date: Fri, 2 Nov 2012 10:07:42 -0700 (PDT)

no - i have a conflict next week deploying a sensor network.

________________________________
 From: JP Vasseur (jvasseur) <[email-masked]>
To: Jon Black <[email-masked]> 
Cc: "[email-masked] List" <[email-masked]> 
Sent: Friday, November 2, 2012 2:47 AM
Subject: Re: [manet] LOADng works

Dear Jon, 

Thanks.

JP.

Hi Jon, 
>>[Jon2] There are plenty of well working LLNs that use reactive protocols such as AODV.  I've built and deployed them so perhaps you can't but I can and the protocol and network work well.  It depends on the type of traffic, nodes, radio, ...  To say that you
 can only build a working LLN using a proactive protocol is just plain foolish.

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Fri, 2 Nov 2012 17:09:34 +0000

> match the characteristics of the network in which the reactive routing

JP> Indeed … and this is why you have a fundamental issue with you have extremely high BER, PDR,
low bandwidth … as we do in LLNs. Flooding in these networks is driven by user traffic and of course 
is highly undesirable. Slightly increase the use traffic and you will see the impact on the control plane ...
> protocols are more appropriate with heavier traffic loads.  

JP> This is over-simplying but I see what you mean.

> Dozens,

JP> Let me restate my point. Not sure of what you mean by "heavier" … but if you
flood the network with probes each time you need to find a path in a LLN you have 
a major problem. Of course, there are many ways to control flooding, use caches ..
that are all well-known and by the way hard to tune. But overall, reactive routing in
*these* networks is simply ill suited.

> LOADng suggests that such do networks exist.

JP> Once again it all depends on the traffic profile. Of course you could make a 
reactive routing protocol work on a LLN as long as the user traffic has specific 
characteristics. If you carefully analyze the user traffic characteristic in networks
such as smart metering (since this was mentioned on this list), and you incorporate
additional applications such as DA, .. to mention a few, you will see that in most of 
these networks this simply does not work … too many flooding, ending up not even
converging in some cases, especially when the number of hops gets high with poor
link quality.

> many environments in which it works well.  

JP> Not sure that I would have used this analogy :-( OSPF was not designed for highly
dynamic environment indeed *but* we could easily enhance it with fast failure detection
(+ BFD), fast LSA generation, fast SPF and incremental SPF, Local Fast Reroute, … 
because routers had lot of resources, links were highly stable, … which is by far not the
case of LLNs.

> Rather, we concluded that we
> in LLNs.  

JP> Well … Think about this: when ROLL was formed, the IESG explicitly and rightfully asked
the WG to first prove that none of the existing protocol could be used, before standardizing a
new protocol (that was the right choice !!). 

Could then prove that the current protocol cannot be used in your environment before suggesting
to standardize a new one.

Once again, if not applicable to LLNs, I have no problem whatsoever.

> If fact, the LOADng deployment experience strongly

JP> And this is perfectly fine, people are free to use any protocol they want, including proprietary 
ones. This does not mean that the IETF should standardize them.

> don't scale to higher traffic loads seems,

JP> Then we need to characterize precisely the limits.

> at best, a poor

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Fri, 2 Nov 2012 17:20:09 +0000

Very unfortunate …  Hope to meet you in person though.

On Nov 2, 2012, at 1:07 PM, Jon Black wrote:

Cc: "[email-masked]<mailto:[email-masked]> List" <[email-masked]<mailto:[email-masked]>>

Dear Jon,

Thanks.

JP.

Hi Jon,

In line [Jon2]

Hi Jon,

In line - JP2>

Hi Jon,

That would be

Thanks.

JP.

Jon

JP.

Jon

---

From: Ulrich Herberg <[email-masked]>
Date: Fri, 2 Nov 2012 10:22:57 -0700

JP,

> the impact on the control plane ...

Yes, but as Timothy mentioned, there are cases where you don't have much
user traffic. This is well known. If you have more user traffic, then you
may need a proactive protocol. You may not like the idea that some people
actually deploy reactive protocols in LLNs, but it's a fact. And your
argument, again, makes no sense that you think that DYMO is suitable and
LOADng is not.

> a major problem.

Well, if you have few communication streams, the few floods are much less
heavy than having a proactive protocol exchange control traffic all day.
Again, no argument in favor for DYMO and against LOADng. Note also that you
only talk about LLN, but we are the [manet] WG.

> Of course, there are many ways to control flooding, use caches ..
> characteristics.

Exactly! Thanks for pointing that out. That's the whole point why [manet]
is chartered to do both reactive and proactive protocols.

> If you carefully analyze the user traffic characteristic in networks

You are not bringing up any new argument that is not known to [manet] for
the last 15 years. Reactive protocols only work for certain scenarios. We
know that. We have never disputed that.

> new protocol (that was the right choice !!).

Right, but that "proof" was never published by the IETF, and as such only
an assertion. Moreover, we are not the ROLL WG.

> Once again, if not applicable to LLNs, I have no problem whatsoever.

People have deployed reactive protocols as a matter of fact in LLNs. So, is
the only reason why you like DYMO and not LOADng, because LOADng mentions
the word LLN once in the introduction?

Best regards
Ulrich

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Fri, 2 Nov 2012 17:38:37 +0000

Hi Ulrich,

On Nov 2, 2012, at 1:22 PM, Ulrich Herberg wrote:

JP,

On Fri, Nov 2, 2012 at 10:09 AM, JP Vasseur (jvasseur) <[email-masked]<mailto:[email-masked]>> wrote:

Yes, but as Timothy mentioned, there are cases where you don't have much user traffic.

JP> Then if you recognize that reactive routing is an issue when user traffic increases, this is a good start.
When do you put the limit ?
By the way, the topology is another argument, so does the bandwidth.

Let me be even more specific:
* Case 1: 75KBits/s, P2MP traffic (not referring to multicast), small broadcast domains, meter readout every 24h.
Certainly you can deploy a reactive routing protocol ? Still I do not see why you would not use a pro-active routing
but this is another question
Now what if you move to case 2:
* Unsolicited alarms using meters, DA, EV traffic for bill roaming ? Well you do not have
a major problem and when designing protocol we need to take this into account. Please see RFC

RFC 5548<http://datatracker.ietf.org/doc/rfc5548/>
(draft-ietf-roll-urban-routing-reqs<http://datatracker.ietf.org/doc/draft-ietf-roll-urban-routing-reqs/>)       Routing Requirements for Urban Low-Power and Lossy Networks     2009-05 RFC 5548 (Informational)                        Adrian Farrel
RFC 5673<http://datatracker.ietf.org/doc/rfc5673/>
(draft-ietf-roll-indus-routing-reqs<http://datatracker.ietf.org/doc/draft-ietf-roll-indus-routing-reqs/>)       Industrial Routing Requirements in Low-Power and Lossy Networks 2009-10 RFC 5673 (Informational)                        Adrian Farrel
RFC 5826<http://datatracker.ietf.org/doc/rfc5826/>
(draft-ietf-roll-home-routing-reqs<http://datatracker.ietf.org/doc/draft-ietf-roll-home-routing-reqs/>) Home Automation Routing Requirements in Low-Power and Lossy Networks    2010-04 RFC 5826 (Informational)
Errata<http://www.rfc-editor.org/errata_search.php?rfc=5826>                    Adrian Farrel
RFC 5867<http://datatracker.ietf.org/doc/rfc5867/>
(draft-ietf-roll-building-routing-reqs<http://datatracker.ietf.org/doc/draft-ietf-roll-building-routing-reqs/>) Building Automation Routing Requirements in Low-Power and Lossy Networks        2010-06 RFC 5867 (Informational)

* or Case 3 = Case 1 but with 5Kbits/s over PLC (at best) and number of hops >10. Try to compute the control plane
overhead with reactive routing, you will see.

This is well known. If you have more user traffic, then you may need a proactive protocol. You may not like the idea that some people actually deploy reactive protocols in LLNs, but it's a fact.

JP> Once again, people are free to deploy whatever they want - REQUESTING the IETF to standardize it is different.

And your argument, again, makes no sense that you think that DYMO is suitable and LOADng is not.

JP> I never asked from dropping reactive routing from the MANET charter (I opted for option 1 not 3).

Well, if you have few communication streams, the few floods are much less heavy than having a proactive protocol exchange control traffic all day.

JP> Please careful read RFC6550 and companion documents, this is not what the protocol does.
But we can take it off-line, this is not the right mailing list.

Again, no argument in favor for DYMO and against LOADng. Note also that you only talk about LLN, but we are the [manet] WG.

Exactly! Thanks for pointing that out. That's the whole point why [manet] is chartered to do both reactive and proactive protocols.

JP> Again I am not saying that reactive cannot be very useful in some environments *but* not in LLNs.

You are not bringing up any new argument that is not known to [manet] for the last 15 years. Reactive protocols only work for certain scenarios. We know that. We have never disputed that.

JP> Excellent; the only difference is that now we have large scale deployed LLN, so we much better understand the dynamics
and why a protocol such as Load-ng is ill suited to these networks.

Right, but that "proof" was never published by the IETF, and as such only an assertion. Moreover, we are not the ROLL WG.

JP> I was giving you some feed-back, since LLNs are explicitly listed in the Load-ng document.

People have deployed reactive protocols as a matter of fact in LLNs. So, is the only reason why you like DYMO and not LOADng, because LOADng mentions the word LLN once in the introduction?

JP> Not at all. I was proposing the following:

1) Build a reactive routing for MANET
2) Start with the WG document (DYMO), call it AODVv2 to avoid conflicts,
3) Add all ideas that we (as a WG) want to keep that came from Load-ng and any why not new ideas
4) Identify what can be made optional versus mandatory
5) Move fast, in a constructive collective fashion.
Makes sense ?

Thanks.

JP.

Best regards
Ulrich

---

From: Jon Black <[email-masked]>
Date: Fri, 2 Nov 2012 14:23:22 -0700 (PDT)

see line [Jon]

Hi Ulrich, 

JP,
>
>
>On Fri, Nov 2, 2012 at 10:09 AM, JP Vasseur (jvasseur) <[email-masked]> wrote:
>
>

RFC 5548 
(draft-ietf-roll-urban-routing-reqs) Routing Requirements for Urban Low-Power and Lossy Networks 2009-05 RFC 5548 (Informational)   Adrian Farrel 
RFC 5673 
(draft-ietf-roll-indus-routing-reqs) Industrial Routing Requirements in Low-Power and Lossy Networks 2009-10 RFC 5673 (Informational)   Adrian Farrel 
RFC 5826 
(draft-ietf-roll-home-routing-reqs) Home Automation Routing Requirements in Low-Power and Lossy Networks 2010-04 RFC 5826 (Informational) 
Errata   Adrian Farrel 
RFC 5867 
(draft-ietf-roll-building-routing-reqs) Building Automation Routing Requirements in Low-Power and Lossy Networks 2010-06 RFC 5867 (Informational)

[Jon] Which RFC?  Do you mean 
RFC 5826 or 5867 both of which seem to need RPL P2P which looks like a 
new protocol?  Do you mean RFC 5548 which seems to be the use case from 
EDF that is using a reactive protocol (LOADng), or RFC5673 which no one 
has tried.

Just because something was designed to do something 
you can't claim that it actually will do it.  The Titanic was designed 
to be unsinkable...  But I digress, since you did.

It does appear that your objection is the name ('cause it could confuse someone into think they could use this manet protocol in an LLN - which as you said was their choice) and that there is one small paragraph there it says that they might be able to use this protocol in their LLN.

Really, this is what all the hub-bub is about.  After all they really are both AODV++.  So we find a new name and remove one paragraph.

I think now the debate is what is the proper base from which to start.  Which document is clearer, and more stable.

Jon

---

From: C Chauvenet <[email-masked]>
Date: Fri, 2 Nov 2012 23:19:18 +0000

HI,
See inline.

Le 2 nov. 2012 à 18:22, Ulrich Herberg a écrit :

JP,

Yes, but as Timothy mentioned, there are cases where you don't have much user traffic. This is well known. If you have more user traffic, then you may need a proactive protocol. You may not like the idea that some people actually deploy reactive protocols in LLNs, but it's a fact. And your argument, again, makes no sense that you think that DYMO is suitable and LOADng is not.

Well, if you have few communication streams, the few floods are much less heavy than having a proactive protocol exchange control traffic all day. Again, no argument in favor for DYMO and against LOADng. Note also that you only talk about LLN, but we are the [manet] WG.

I think http://tools.ietf.org/html/draft-ietf-roll-protocols-survey-07 is such a publication.
BTW, it covers AODV and DYMO, and explains why it does not match general LLN requirements (and so for any AODV-based protocols such as LOADng).

But I agree that this is MANET list, so this should not be the place to debate RPL here.
I think ROLL-ers came in the discussion because LOADng authors explicitly states that they want to use LOADng in LLNs, that is ROLL working space. Though, I think you agree that LOADng will not match general LLN requirements and be limited to specific low traffic deployment.

Cédric.

Best regards
Ulrich

---

From: Jiazi YI <[email-masked]>
Date: Sat, 3 Nov 2012 00:27:26 +0100

Hi, 

I don't think citing a draft that has been expired for 3 years actually says anything. 

best

Jiazi

---

From: Ulrich Herberg <[email-masked]>
Date: Fri, 2 Nov 2012 16:29:50 -0700

Cédric,

On Fri, Nov 2, 2012 at 4:19 PM, C Chauvenet <[email-masked]> wrote:

> [...]
>
>  Right, but that "proof" was never published by the IETF, and as such
> only an assertion. Moreover, we are not the ROLL WG.
>
>

That is the draft I was talking about. It is *not* a publication. It was
never published by the IETF, even though some claim it is a publication.

BTW, it covers AODV and DYMO, and explains why it does not match general
> LLN requirements (and so for any AODV-based protocols such as LOADng).
>

The document was rejected for a reason. It is heavily flawed and
misleading, in my opinion.

>  But I agree that this is MANET list, so this should not be the place to

Right.

> I think ROLL-ers came in the discussion because LOADng authors explicitly
> states that they want to use LOADng in LLNs, that is ROLL working space.
>

And if that one word in the introduction is the whole reason why you prefer
DYMO over LOADng, it is a pretty weak argument.
And again, you cannot dispute the fact that LOADng is used in such
deployments. You may not like it, for business or other reasons, but it's a
fact.

> Though, I think you agree that LOADng will not match general LLN
> requirements and be limited to specific low traffic deployment.
>

I agree that LOADng (or DYMO for that matter) will not be suitable for all
LLN deployments. But it is, as a matter of fact, used in some such
deployments. RPL also does not fulfill all requirements of all kinds of
LLNs, in my opinion, but that's another matter not to be discussed here.

Best
Ulrich

>  People have deployed reactive protocols as a matter of fact in LLNs. So,
> is the only reason why you like DYMO and not LOADng, because LOADng
> mentions the word LLN once in the introduction?
>
>  Best regards
> Ulrich
>
>
>
>>

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Sat, 3 Nov 2012 08:18:06 +0000

Once again you always restart from scratch ignoring emails - I was providing you the rationale on why you cannot use one
deployment of LLN (not even knowing any details) to claim that the protocol actually works, this is in reply to Ulrich's email.
If indeed, MANET designs a reactive routing protocol for MANET including LLNs, since it was (finally) said that this could work
in very specific (restrained) conditions, otherwise we would need to use the protocol the IETF has designed for LLN (RFC6550
and companion) then let's specifically remove LLN (not implicitly, by removing a section or chaining a name) from the protocol
designed in MANET, and use that protocol (RFC6550) for LLNs.

On Nov 2, 2012, at 5:23 PM, Jon Black wrote:

see line [Jon]

Hi Ulrich,

JP,

[Jon] Which RFC?  Do you mean RFC 5826 or 5867 both of which seem to need RPL P2P which looks like a new protocol?  Do you mean RFC 5548 which seems to be the use case from EDF that is using a reactive protocol (LOADng), or RFC5673 which no one has tried.

Just because something was designed to do something you can't claim that it actually will do it.  The Titanic was designed to be unsinkable...  But I digress, since you did.

Jon

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Sat, 3 Nov 2012 08:29:13 +0000

See JP2

On Nov 2, 2012, at 7:19 PM, C Chauvenet wrote:

HI,
See inline.

JP,

JP2> Absolutely. And I tool the example of what the IESG rightfully asked us to do when forming ROLL. *If* you want to specify a new protocol
for this use case, first demonstrate why you cannot use what exists first.

Cédric.

Best regards
Ulrich

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Sat, 3 Nov 2012 08:29:56 +0000

On Nov 2, 2012, at 7:27 PM, Jiazi YI wrote:

Hi,

Why ignoring excellent work ?

best

Jiazi

On Nov 3, 2012, at 12:19 AM, C Chauvenet <[email-masked]<mailto:[email-masked]>> wrote:

HI,
See inline.

JP,

Cédric.

Best regards
Ulrich

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Sat, 3 Nov 2012 08:32:47 +0000

On Nov 2, 2012, at 7:29 PM, Ulrich Herberg wrote:

Cédric,

On Fri, Nov 2, 2012 at 4:19 PM, C Chauvenet <[email-masked]<mailto:[email-masked]>> wrote:
[...]

That is the draft I was talking about. It is *not* a publication. It was never published by the IETF, even though some claim it is a publication.

JP> If you are "picky" about IETF document state, you should then propose to select *the* MANET working group document as a base: DYMO.

The document was rejected for a reason. It is heavily flawed and misleading, in my opinion.

Right.

I think ROLL-ers came in the discussion because LOADng authors explicitly states that they want to use LOADng in LLNs, that is ROLL working space.

And if that one word in the introduction is the whole reason why you prefer DYMO over LOADng, it is a pretty weak argument.
And again, you cannot dispute the fact that LOADng is used in such deployments. You may not like it, for business or other reasons, but it's a fact.

Though, I think you agree that LOADng will not match general LLN requirements and be limited to specific low traffic deployment.

I agree that LOADng (or DYMO for that matter) will not be suitable for all LLN deployments. But it is, as a matter of fact, used in some such deployments.

JP> Do you know how proprietary or non IETF standards are used in the filed for that matter ?
The IETF is not here to standardize protocols used in the field because they have been chosen in some deployment.

RPL also does not fulfill all requirements of all kinds of LLNs, in my opinion, but that's another matter not to be discussed here.

Best
Ulrich

Cédric.

Best regards
Ulrich

---

From: Joseph Macker <[email-masked]>
Date: Sat, 3 Nov 2012 11:14:04 -0400

Again I would ask that we move ROLL and LLN discussions to ROLL if people
want to continue.
JP your opinion to the WG chairs is pretty obvious.

We need some bandwidth to discuss quality of documents and authors
agreement to various other WG issues.
I will provide some questions to that effect shortly. Let us focus on our
WG's challenges.

-Joe

On Sat, Nov 3, 2012 at 4:32 AM, JP Vasseur (jvasseur) <[email-masked]>wrote:

> On Fri, Nov 2, 2012 at 4:19 PM, C Chauvenet <[email-masked]>wrote:
>
>>     [...]
>>
>  JP> If you are "picky" about IETF document state, you should then
> propose to select *the* MANET working group document as a base: DYMO.
>
>
>
>    BTW, it covers AODV and DYMO, and explains why it does not match
>> general LLN requirements (and so for any AODV-based protocols such as
>> LOADng).
>>
>
>
>>   I think ROLL-ers came in the discussion because LOADng authors
>> explicitly states that they want to use LOADng in LLNs, that is ROLL
>> working space.
>>
>
>  And if that one word in the introduction is the whole reason why you
> prefer DYMO over LOADng, it is a pretty weak argument.
>  I agree that LOADng (or DYMO for that matter) will not be suitable for
> all LLN deployments. But it is, as a matter of fact, used in some such
> deployments.
>
>
> The IETF is not here to standardize protocols used in the field because
> they have been chosen in some deployment.
>
>   RPL also does not fulfill all requirements of all kinds of LLNs, in my
> opinion, but that's another matter not to be discussed here.
>
>  Best
> Ulrich
>
>
>
>
>>
>>  Cédric.
>>
>>
>>
>>>
>>  People have deployed reactive protocols as a matter of fact in LLNs.
>> So, is the only reason why you like DYMO and not LOADng, because LOADng

---

From: Jon Black <[email-masked]>
Date: Sat, 3 Nov 2012 08:28:47 -0700 (PDT)

Agreed.  This document never went through the IETF process and was abandoned by the WG so it seems irrelevant to the discussion.

I don't even think it was brought before manet for review.  I am sure that manet would not not agreed with its conclusion and such is the reason it was not.

Jon

________________________________
 From: Jiazi YI <[email-masked]>
To: C Chauvenet <[email-masked]> 
Cc: Timothy J. Salo <[email-masked]>; "[email-masked]" <[email-masked]> 
Sent: Friday, November 2, 2012 5:27 PM
Subject: Re: [manet] LOADng works

Hi, 

best

Jiazi

HI,

---

From: Jon Black <[email-masked]>
Date: Sat, 3 Nov 2012 08:55:06 -0700 (PDT)

What so now you want the draft to explicitly state that it cannot be used in a LLN?

This is beside the point of any technical discussion related to the two drafts.

This group should stop getting sidetracked (and I have been also) on the wrong topic.  We need to look at the two drafts and determine which is the best to continue to put working group effort behind.

Charlie has indicated and is working to improve DYMO.  This is great.

Ulrich and others have been making updates to LOADng.

This WG should read both draft with an eye on which is closer to implementation, stability and has the technical features for a Manet reactive protocol.

The issue is not about could someone use whatever Manet publishes as reactive protocol in an LLN.  Lets stop getting distracted from the necessary discussion.

I've read both drafts.  I find the LOADng draft more concise, and something I can implement.  I find the DYMO draft less understandable, many more options and not in a state that I could try to write code to implement it.

I obviously feel strongly that we should use LOADng as the basis for the reactive protocol from Manet - what ever the name eventually is (I don't care) and whatever the eventual applicability.

To Joe and Stan, I really do think that we are not far from agreement (save for few) if we look at the discussion with a filter on just the technical merits of the two drafts and eliminate the rhetoric around where people can choose to use the protocol.

Jon

________________________________
 From: JP Vasseur (jvasseur) <[email-masked]>
To: Jon Black <[email-masked]> 
Cc: Ulrich Herberg <[email-masked]>; Timothy J. Salo <[email-masked]>; "[email-masked]" <[email-masked]> 
Sent: Saturday, November 3, 2012 2:18 AM
Subject: Re: [manet] LOADng works

see line [Jon]
Hi Ulrich,

---

From: Jon Black <[email-masked]>
Date: Sat, 3 Nov 2012 09:03:43 -0700 (PDT)

Because this was not excellent work.  it was never vetted except by people that wanted to create a new protocol. 

But again that isn't about this debate. 

Jon

________________________________
 From: JP Vasseur (jvasseur) <[email-masked]>
To: Jiazi YI <[email-masked]> 
Cc: "[email-masked] List" <[email-masked]>; Timothy J. Salo <[email-masked]> 
Sent: Saturday, November 3, 2012 2:29 AM
Subject: Re: [manet] LOADng works

Hi,

---

From: Jon Black <[email-masked]>
Date: Sat, 3 Nov 2012 09:09:37 -0700 (PDT)

Oops should have read this first before my previous replies.

I agree.  My opinion is also obvious.  (I will attempt to be quiet...)

We've heard from 6 or 7 of the same people, where is the rest of the mailing list on this.

Jon

________________________________
 From: Joseph Macker <[email-masked]>
To: JP Vasseur (jvasseur) <[email-masked]> 
Cc: Timothy J. Salo <[email-masked]>; "[email-masked]" <[email-masked]> 
Sent: Saturday, November 3, 2012 9:14 AM
Subject: Re: [manet] LOADng works

Again I would ask that we move ROLL and LLN discussions to ROLL if people want to continue.
JP your opinion to the WG chairs is pretty obvious.

We need some bandwidth to discuss quality of documents and authors agreement to various other WG issues.
I will provide some questions to that effect shortly. Let us focus on our WG's challenges.

-Joe

---

From: Philip Levis <[email-masked]>
Date: Sat, 3 Nov 2012 09:40:50 -0700

> (which don't seem to have gained much traction, either in the IETF

Timothy,

I agree with your conclusion for MANETs. For LLNs, it's a bit more complicated, due to the "low power" part. You see this tension in RPL, where on one hand it's mostly proactive (continually maintains a topology) but on the other it has reactive elements (datapath validation, adaptive beaconing). The basic idea is that you make an educated guess for a good route based on old information and fix it as needed, rather than throw all that old information away and start from scratch. But the community that researched LLN protocols in the 2000s didn't generally come from a MANET background so didn't see such a hard boundary between reactive and proactive solutions.

Just my 2c,

Phil

---

From: Joe Macker <[email-masked]>
Date: Sat, 3 Nov 2012 15:23:35 -0400

Just as minor point I don't think the Manet community has ever had a hard boundary between reactive and proactive.  Plenty of combined design work and IDs were done in the 90s. It was a question of what made sense for maturity and engineering in the ietf at the time.  With the more modern design elements like adaptive timers etc it is easier to see an engineering convergence of the two design elements for example a proactive becoming more reactive.  We were designing polymorphic protocols back in the 90s and there was even an irtf for this for a few years that we split off from the WG

Sent from my iPhone

---

From: Christopher Dearlove <[email-masked]>
Date: Sat, 3 Nov 2012 22:27:12 -0400

In order to avoid confusion, OLSRv2 and NHDP use the term responsive for things that respond to circumstances. Not the same as reactive in the AODV sense, but (used in forms like exponentially backed off message intervals) not entirely unrelated either.

--  
Christopher Dearlove
[email-masked] (iPhone)
[email-masked] (home)

---

From: C Chauvenet <[email-masked]>
Date: Sun, 4 Nov 2012 07:49:44 +0000

Hi,
Inline,

Le 2 nov. 2012 à 18:07, Jon Black a écrit :

Will it use LOADng ? It may add some material in this debate.

Cédric.

Dear Jon,

Thanks.

JP.

Hi Jon,

In line [Jon2]

Hi Jon,

In line - JP2>

Hi Jon,

That would be

Thanks.

JP.

Jon

JP.

Jon

---

From: Abdussalam Baryun <[email-masked]>
Date: Sun, 4 Nov 2012 13:47:58 +0100

On 11/4/12, Christopher Dearlove <[email-masked]> wrote:
> In order to avoid confusion, OLSRv2 and NHDP use the term responsive for
> things that respond to circumstances. Not the same as reactive in the AODV
> sense, but (used in forms like exponentially backed off message intervals)
> not entirely unrelated either.
>

The confusion is because MANET WG still don't have a terminology RFC.
The WG definitions states are dynamic or mobile like MANETs.

AB

---

From: Abdussalam Baryun <[email-masked]>
Date: Sun, 4 Nov 2012 13:57:10 +0100

Hi Joe,

My question was always as the subject claims; Where does LOADng Work,
please give me a reference document of performance and practice?
Please note that the authors were asked about this before in MANET WG
but the answer was we cannot provide information because classified.
This is confusing and without progress.

I still don't beleive that LOADng deployments fit MANETs'
applicabilities. Therefore, disagree with the subject claimed (i.e.
LOADng works).

Let us focus the question for our charter; Does the LOADng work with
MANETs scenarios and applicabilities or does the LOADng work only for
special cases of MANET scenarios. I remember your input to the LOADng
presenter in one f2f meeting to include heterogeniety to this
protocol. I think LOADng should be modified to be suitable without
confusions to fit MANETs.

AB

---

From: Daniel He <[email-masked]>
Date: Sun, 4 Nov 2012 13:35:12 +0000

> I totally disagree!  LOADng is fitting to MANET. fundamentally
it is lightweighted AODV.

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Sun, 4 Nov 2012 14:16:28 +0000

On Nov 4, 2012, at 8:35 AM, Daniel He wrote:

Here is my take on this; *if* there is a choice for option 1, 2 or may be a brand new document related to
reactive routing in MANET (protocol called AODVv20, and excluding LLNs, then I think that we do not
have any issue.

---

From: Daniel He <[email-masked]>
Date: Sun, 4 Nov 2012 14:58:09 +0000

I think it is fair enought to replace the name. and I knew you don't like
LLN
at all. and I agree to LLN taken out of the context is reasonable and
generized.

Cheers,
Dan

-- 
Dan He
---------------------
Tel: +44-788-686-3428

---

From: Joseph Macker <[email-masked]>
Date: Sun, 4 Nov 2012 15:40:47 -0500

Since LOADng, DYMO, and AODV are about the same technically, in my opinion,
are you claiming that AODV-based designs do not work for MANETs?  Thats
what I am hearing technically and I have no problem hearing that opinion
but there seems to be a fallacy in the actual argument being made. In my
opinon if LOADng is not appropriate for MANET then neither is AODV or DYMO
since the design principles are basically the same. Back to #3 in that case.

---

From: Jon Black <[email-masked]>
Date: Sun, 4 Nov 2012 17:56:25 -0800 (PST)

It LOADng does not fit MANET's applicabilities then DYMO can't and we are at #3.  They are both modifications to AODV, so either they both are applicable to MANETs or none of the three (including AODV) are.

Jon  

________________________________
 From: Daniel He <[email-masked]>
To: Abdussalam Baryun <[email-masked]> 
Cc: Timothy J. Salo <[email-masked]>; "[email-masked]" <[email-masked]> 
Sent: Sunday, November 4, 2012 6:35 AM
Subject: Re: [manet] LOADng works

---

From: Jon Black <[email-masked]>
Date: Sun, 4 Nov 2012 17:57:34 -0800 (PST)

Wow are we really up to version 20.  I missed 2 through 19?

________________________________
 From: JP Vasseur (jvasseur) <[email-masked]>
To: Daniel He <[email-masked]> 
Cc: Timothy J. Salo <[email-masked]>; "[email-masked]" <[email-masked]> 
Sent: Sunday, November 4, 2012 7:16 AM
Subject: Re: [manet] LOADng works

---

From: Jon Black <[email-masked]>
Date: Sun, 4 Nov 2012 18:00:38 -0800 (PST)

This not not what JP is requiring.  He is not saying that the document should not mention LLNs, but instead it would explicitly "it should not be use in LLNs".  This is something quite different and technically and intellectually dishonest, but again JP has hijacked the conversation.

Jon  

Sent: Sunday, November 4, 2012 7:58 AM

I think it is fair enought to replace the name. and I knew you don't like LLN
at all. and I agree to LLN taken out of the context is reasonable and generized.

Cheers,
Dan

-- 
Dan He
---------------------
Tel: +44-788-686-3428

---

From: C Chauvenet <[email-masked]>
Date: Mon, 5 Nov 2012 09:29:42 +0000

Le 5 nov. 2012 à 03:00, Jon Black a écrit :

This not not what JP is requiring.  He is not saying that the document should not mention LLNs, but instead it would explicitly "it should not be use in LLNs".  This is something quite different and technically and intellectually dishonest

Don't agree, as I already got exactly the same "intellectually dishonest" remark, but from a different author...

Cédric.

, but again JP has hijacked the conversation.

Jon

________________________________
From: Daniel He <[email-masked]<mailto:[email-masked]>>
To: JP Vasseur (jvasseur) <[email-masked]<mailto:[email-masked]>>
Cc: Timothy J. Salo <[email-masked]<mailto:[email-masked]>>; "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Sent: Sunday, November 4, 2012 7:58 AM
Subject: Re: [manet] LOADng works

Cheers,
Dan

On 4 November 2012 14:16, JP Vasseur (jvasseur) <[email-masked]<mailto:[email-masked]>> wrote:

--
Dan He
---------------------
Tel: +44-788-686-3428

---

From: C Chauvenet <[email-masked]>
Date: Mon, 5 Nov 2012 09:50:49 +0000

Jon Black,

Overall, I don't understand your enthusiasm for LOADng.
Do you have some experiments with this protocol ?

BTW, I notice that your time-window activity slipped from a few hours.
Did you finally moved toward Atlanta to defend your opinion ?

Last but not least, it seems that one of the main LOADng authors did not state his opinion in this debate ?

Cédric.

Jon

Cheers,
Dan

--
Dan He
---------------------
Tel: +44-788-686-3428

---

From: Abdussalam Baryun <[email-masked]>
Date: Mon, 5 Nov 2012 13:32:49 +0100

Hi Joe,

I agree that AODV and DYMO are applicable for MANET (there are
references to such protocol for MANETs), because the MANETs include
all dynamic networks' requirements and tests. The LOADng protocol was
tested for LLNs, we should not ignore facts/practices and history of
such protocols. The LOADng implementations are different than AODV and
DYMO implementations, therefore, I suggest LOADng is not similar to
AODV performance.

 IMHO, the output performance of such protocols will judge thoes
protocols. LOADng can be modified to cover all MANET scenarios or
LOADng needs to be proved that it works within all MANET scenarios
(still waiting for a reference from any participant).

<My argument is based on: posting a question many times, requesting a
technical reference evidence inside IETF, but so far no respond inside
IETF, therefore, LOADng doesn't work for MANETs>

AB
++++++++++++

---

From: Thomas Heide Clausen <[email-masked]>
Date: Mon, 5 Nov 2012 09:57:39 -0500

> Last but not least, it seems that one of the main LOADng authors did not state his opinion in this debate ?

Not sure if you're targeting me in this last sentence, Cedric (I am just one among many LOADng authors), but I believe that I have nothing to add to what has already been said so far in this "debate".

Thomas

---

From: C Chauvenet <[email-masked]>
Date: Mon, 5 Nov 2012 15:15:54 +0000

Le 5 nov. 2012 à 15:57, Thomas Heide Clausen a écrit :

On 5 nov. 2012, at 04:50, C Chauvenet <[email-masked]<mailto:[email-masked]>> wrote:

Jon Black,

Noted!

Cédric.

Thomas

Cédric.

Jon

Cheers,
Dan

--
Dan He
---------------------
Tel: +44-788-686-3428

---

From: Jon Black <[email-masked]>
Date: Mon, 5 Nov 2012 08:41:08 -0800 (PST)

I have not yet attempted to implement LOADng.  My "enthusiasm" as you call it developed from reading the two drafts and finding the LOADng to be closer to something that I could read and implement.  It is mostly based on my reading, but also from what I've heard about other implementations being available, tested and deployed.

I find the DYMO document still confusing and not something that I could read and write code from.

Where does your enthusiasm for DYMO come from?  I haven't heard from anyone that has implemented it yet.

Jon

________________________________
 From: C Chauvenet <[email-masked]>
To: Jon Black <[email-masked]> 
Cc: Daniel He <[email-masked]>; JP Vasseur (jvasseur) <[email-masked]>; Timothy J. Salo <[email-masked]>; "[email-masked]" <[email-masked]> 
Sent: Monday, November 5, 2012 2:50 AM
Subject: Re: [manet] LOADng works

Jon Black,  

Cédric.

---

From: C Chauvenet <[email-masked]>
Date: Mon, 5 Nov 2012 17:01:11 +0000

Le 5 nov. 2012 à 17:41, Jon Black a écrit :

I have not yet attempted to implement LOADng.

So your current sensor network deployment is working without LOADng ?

My "enthusiasm" as you call it developed from reading the two drafts and finding the LOADng to be closer to something that I could read and implement.  It is mostly based on my reading, but also from what I've heard about other implementations being available, tested and deployed.

I stated my opinion earlier in reply to the chairs question, as requested.
I won't copy them here again, to avoid flooding ;-)

Cédric.

Jon

________________________________
From: C Chauvenet <[email-masked]<mailto:[email-masked]>>
To: Jon Black <[email-masked]<mailto:[email-masked]>>
Cc: Daniel He <[email-masked]<mailto:[email-masked]>>; JP Vasseur (jvasseur) <[email-masked]<mailto:[email-masked]>>; Timothy J. Salo <[email-masked]<mailto:[email-masked]>>; "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Sent: Monday, November 5, 2012 2:50 AM
Subject: Re: [manet] LOADng works

Jon Black,

Cédric.

Jon

Cheers,
Dan

--
Dan He
---------------------
Tel: +44-788-686-3428

---

From: "Charles E. Perkins" <[email-masked]>
Date: Mon, 05 Nov 2012 10:04:55 -0800

Hello Joe,

I have a very slight observation about this.

On 11/4/2012 12:40 PM, Joseph Macker wrote:
> Since LOADng, DYMO, and AODV are about the same technically, in my 
> opinion, are you claiming that AODV-based designs do not work for 
> MANETs?  Thats what I am hearing technically and I have no problem 
> hearing that opinion but there seems to be a fallacy in the actual 
> argument being made. In my opinon if LOADng is not appropriate for 
> MANET then neither is AODV or DYMO since the design principles are 
> basically the same. Back to #3 in that case.

LOADng, AODVv2, and AODV are all reactive protocols, and they are
related.  But that doesn't mean they're "about the same" except at a
high level of abstraction.  I think that the design principles do exhibit
significant differences.

-- 
Regards,
Charlie P.